Gets a list of Subsidiaries for a single Business.
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/Subsidiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/Subsidiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/Subsidiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"BusinessId": 123,
"BusinessName": "<string>",
"Address1": "<string>",
"Address2": "<string>",
"CityName": "<string>",
"StateProvinceName": "<string>",
"PostalCode": "<string>",
"CountryCode": "<string>",
"FRISKScore": 123,
"PAYCEScore": 123,
"DBTIndex": 123
}
],
"ErrorCode": "<string>"
}Officers & Subsidiaries
List of Subsidiaries for a Business
Obtains a comprehensive list of subsidiary companies and their relationships to the parent business.
GET
/
v1
/
Business
/
Subsidiaries
Gets a list of Subsidiaries for a single Business.
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
Id of the Business to get Subsidiaries for.
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
The first row to return.
The last row to return.
Was this page helpful?